# Rev AI Language Identification

Rev AI Language Identification

Version: v1
License: Rev AI Terms of Service

## Servers

Rev AI API
```
https://api.rev.ai
```

## Security

### AccessToken

Type: http
Scheme: bearer

## Download OpenAPI description

[Rev AI Language Identification](https://docs.rev.ai/_bundle/api/language-identification/reference.yaml)

## Jobs

### Submit Language Identification Job

 - [POST /languageid/v1/jobs](https://docs.rev.ai/api/language-identification/reference/jobs/submitlanguageidentificationjob.md): Starts an asynchronous job to identify the most probable language in the audio. Audio can be specified in two ways, either by including a public url to the media via the source_config option or by uploading a local file as part of a multipart/form request.

### Get List of Language Identification Jobs

 - [GET /languageid/v1/jobs](https://docs.rev.ai/api/language-identification/reference/jobs/getlistoflanguageidentificationjobs.md): Gets a list of language identification jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.

### Get Language Identification Job By Id

 - [GET /languageid/v1/jobs/{id}](https://docs.rev.ai/api/language-identification/reference/jobs/getlanguageidentificationjobbyid.md): Returns information about a language identification job.

### Delete Language Identification Job by Id

 - [DELETE /languageid/v1/jobs/{id}](https://docs.rev.ai/api/language-identification/reference/jobs/deletelanguageidentificationjobbyid.md): Deletes a language identification job. All data related to the job will be permanently deleted. A job can only be deleted once it's completed (either with success or failure).

### Get Language Identification Result By Id

 - [GET /languageid/v1/jobs/{id}/result](https://docs.rev.ai/api/language-identification/reference/jobs/getlanguageidentificationresultbyid.md): Returns the results for a completed language identification job.

